//
//  OrderPartsQuotaCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/9/19.
//

import UIKit

class OrderPartsQuotaCell: UITableViewCell {
    @IBOutlet weak var lab_usable: UILabel!
    @IBOutlet weak var lab_amount: UILabel!
    @IBOutlet weak var lab_txt1: UILabel!
    @IBOutlet weak var lab_txt2: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        lab_txt1.text = "可用配件额度".languageString()
        lab_txt2.text = "本单合计金额".languageString()
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
extension OrderPartsQuotaCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = (String, String)
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
        lab_usable.cd.text(data.0)
        lab_amount.cd.text("￥\(data.1)")
    }
    
    func row_update(config data: ConfigModel) {
    }
    
    func row_update(callBack block: TCRowCallBack?) {
    }
}
